<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerCamera3rdPersonErc Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d2d/class_day_z_player_camera3rd_person_erc.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerCamera3rdPersonErc Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a825028ff4fb2276e5bf1a7b0191ca729"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a825028ff4fb2276e5bf1a7b0191ca729">DayZPlayerCamera3rdPersonJump</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a825028ff4fb2276e5bf1a7b0191ca729"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a4e5420f58fe3d82fa17df5921ff3a130">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pOutResult)</td></tr>
<tr class="separator:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79638210a95bf81dcdc42c7b66716836"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a79638210a95bf81dcdc42c7b66716836">DayZPlayerCamera3rdPersonErcSpr</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a79638210a95bf81dcdc42c7b66716836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a4e5420f58fe3d82fa17df5921ff3a130">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pOutResult)</td></tr>
<tr class="separator:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa9bce8f3e95a4f53e07e3e5a57ff5ee4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#aa9bce8f3e95a4f53e07e3e5a57ff5ee4">m_fDelay</a></td></tr>
<tr class="memdesc:aa9bce8f3e95a4f53e07e3e5a57ff5ee4"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime config  <a href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#aa9bce8f3e95a4f53e07e3e5a57ff5ee4">More...</a><br /></td></tr>
<tr class="separator:aa9bce8f3e95a4f53e07e3e5a57ff5ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843ffc5b30aff0ac99551713e6f6b188"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a843ffc5b30aff0ac99551713e6f6b188">m_fDamping</a></td></tr>
<tr class="separator:a843ffc5b30aff0ac99551713e6f6b188"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288421e0fdbee2f05b922218a57d20c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a288421e0fdbee2f05b922218a57d20c5">m_fDelayTimer</a></td></tr>
<tr class="memdesc:a288421e0fdbee2f05b922218a57d20c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime values  <a href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a288421e0fdbee2f05b922218a57d20c5">More...</a><br /></td></tr>
<tr class="separator:a288421e0fdbee2f05b922218a57d20c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcc949b73b095cf6baeae5cc7e4cb796"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#abcc949b73b095cf6baeae5cc7e4cb796">m_fJumpStartY</a></td></tr>
<tr class="separator:abcc949b73b095cf6baeae5cc7e4cb796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d717983dea9eee762d38efe546e8d18"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a2d717983dea9eee762d38efe546e8d18">m_fJumpOffset</a></td></tr>
<tr class="separator:a2d717983dea9eee762d38efe546e8d18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22518c95fecb0aca625d82791333e85c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a22518c95fecb0aca625d82791333e85c">m_jumpOffsetVelocity</a> [1]</td></tr>
<tr class="separator:a22518c95fecb0aca625d82791333e85c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5852a2750c51ac2c3ad60ce61170fbeb"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#a5852a2750c51ac2c3ad60ce61170fbeb">m_iPelvisBone</a></td></tr>
<tr class="separator:a5852a2750c51ac2c3ad60ce61170fbeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f98dcb8054ab470b5edc9ab8b3e651"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html#ae0f98dcb8054ab470b5edc9ab8b3e651">m_fTime</a></td></tr>
<tr class="separator:ae0f98dcb8054ab470b5edc9ab8b3e651"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00176">176</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a79638210a95bf81dcdc42c7b66716836" name="a79638210a95bf81dcdc42c7b66716836"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79638210a95bf81dcdc42c7b66716836">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonErcSpr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonErc::DayZPlayerCamera3rdPersonErcSpr </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00245">245</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a825028ff4fb2276e5bf1a7b0191ca729" name="a825028ff4fb2276e5bf1a7b0191ca729"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a825028ff4fb2276e5bf1a7b0191ca729">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonJump()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonErc::DayZPlayerCamera3rdPersonJump </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >runtime config</p>
<p >runtime values</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00178">178</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a4e5420f58fe3d82fa17df5921ff3a130" name="a4e5420f58fe3d82fa17df5921ff3a130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5420f58fe3d82fa17df5921ff3a130">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZPlayerCamera3rdPersonErc::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a>&#160;</td>
          <td class="paramname"><em>pOutResult</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00193">193</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a4e5420f58fe3d82fa17df5921ff3a130" name="a4e5420f58fe3d82fa17df5921ff3a130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5420f58fe3d82fa17df5921ff3a130">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZPlayerCamera3rdPersonErc::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a>&#160;</td>
          <td class="paramname"><em>pOutResult</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >basically -&gt; transform up vector (0,1,0) and read x coord -&gt; and set is as roll</p>
<p >prev update</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00266">266</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a843ffc5b30aff0ac99551713e6f6b188" name="a843ffc5b30aff0ac99551713e6f6b188"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a843ffc5b30aff0ac99551713e6f6b188">&#9670;&#160;</a></span>m_fDamping</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fDamping</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00217">217</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aa9bce8f3e95a4f53e07e3e5a57ff5ee4" name="aa9bce8f3e95a4f53e07e3e5a57ff5ee4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9bce8f3e95a4f53e07e3e5a57ff5ee4">&#9670;&#160;</a></span>m_fDelay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fDelay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>runtime config </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00216">216</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a288421e0fdbee2f05b922218a57d20c5" name="a288421e0fdbee2f05b922218a57d20c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a288421e0fdbee2f05b922218a57d20c5">&#9670;&#160;</a></span>m_fDelayTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fDelayTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>runtime values </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00220">220</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a2d717983dea9eee762d38efe546e8d18" name="a2d717983dea9eee762d38efe546e8d18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d717983dea9eee762d38efe546e8d18">&#9670;&#160;</a></span>m_fJumpOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fJumpOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00222">222</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="abcc949b73b095cf6baeae5cc7e4cb796" name="abcc949b73b095cf6baeae5cc7e4cb796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcc949b73b095cf6baeae5cc7e4cb796">&#9670;&#160;</a></span>m_fJumpStartY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fJumpStartY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00221">221</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ae0f98dcb8054ab470b5edc9ab8b3e651" name="ae0f98dcb8054ab470b5edc9ab8b3e651"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0f98dcb8054ab470b5edc9ab8b3e651">&#9670;&#160;</a></span>m_fTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_fTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00287">287</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a5852a2750c51ac2c3ad60ce61170fbeb" name="a5852a2750c51ac2c3ad60ce61170fbeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5852a2750c51ac2c3ad60ce61170fbeb">&#9670;&#160;</a></span>m_iPelvisBone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZPlayerCamera3rdPersonErc::m_iPelvisBone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00286">286</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a22518c95fecb0aca625d82791333e85c" name="a22518c95fecb0aca625d82791333e85c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22518c95fecb0aca625d82791333e85c">&#9670;&#160;</a></span>m_jumpOffsetVelocity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerCamera3rdPersonErc::m_jumpOffsetVelocity[1]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00223">223</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ManBase/DayZPlayer/<a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
